Skip to content

upsertPurchaseOrderLine

WRITE

Upsert purchase order line.

POST /api/v1/purchasing/upsertPurchaseOrderLine
curl -X POST '<your-host>/api/v1/purchasing/upsertPurchaseOrderLine' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "purchaseOrderId": "string",
    "purchaseOrderLineType": "Part"
  }'
Response
{
  "id": "string"
}

Parameters

ParameterType
min length 1
"Part""Material""Tool""Consumable""Service""Fixture""G/L Account""Fixed Asset"
min 0max 1

Input schema

schema
{
  "type": "object",
  "properties": {
    "purchaseOrderId": {
      "type": "string",
      "minLength": 1
    },
    "purchaseOrderLineType": {
      "type": "string",
      "enum": [
        "Part",
        "Material",
        "Tool",
        "Consumable",
        "Service",
        "Fixture",
        "G/L Account",
        "Fixed Asset"
      ]
    },
    "itemId": {
      "type": "string"
    },
    "accountId": {
      "type": "string"
    },
    "costCenterId": {
      "type": "string"
    },
    "assetId": {
      "type": "string"
    },
    "conversionFactor": {
      "type": "number"
    },
    "description": {
      "type": "string"
    },
    "exchangeRate": {
      "type": "number"
    },
    "inventoryUnitOfMeasureCode": {
      "type": "string"
    },
    "jobId": {
      "type": "string"
    },
    "jobOperationId": {
      "type": "string"
    },
    "locationId": {
      "type": "string"
    },
    "promisedDate": {
      "type": "string"
    },
    "purchaseQuantity": {
      "type": "number"
    },
    "purchaseUnitOfMeasureCode": {
      "type": "string"
    },
    "requiredDate": {
      "type": "string"
    },
    "storageUnitId": {
      "type": "string"
    },
    "supplierPartId": {
      "type": "string"
    },
    "supplierShippingCost": {
      "type": "number"
    },
    "supplierTaxAmount": {
      "type": "number"
    },
    "supplierUnitPrice": {
      "type": "number"
    },
    "taxPercent": {
      "default": 0,
      "type": "number",
      "minimum": 0,
      "maximum": 1
    },
    "customFields": {},
    "id": {
      "type": "string"
    }
  },
  "required": [
    "purchaseOrderId",
    "purchaseOrderLineType"
  ]
}